FiskilFiskilFiskil DocsFiskil Docs
Log InSign Up
GuidesAPI ReferenceChangelog

Mobile menu

HomeFiskilFiskil
Log InSign Up
Introduction

Getting Started

AuthenticationErrorsPagination

CORE RESOURCES

Linking Accounts

BANKING API

ENERGY API

IDENTITY

Get Data Freshness

Returns freshness information for datasets such as banking.transactions

AI Actions
GET
/v1/data-freshness

Returns freshness information for datasets such as banking.transactions

Query Parameters

end_user_idstringrequired

A unique identifier for the End User object.

datasetstring

The dataset identifier to check freshness for (e.g. banking.transactions).

account_idstring

Filter by account ID

Response Body

application/json

application/json

application/json

curl -X GET "https://api.fiskil.com/v1/data-freshness?end_user_id=eu_123&dataset=banking.transactions&account_id=bank_account_123"
{
  "data": [
    {
      "account_id": "bank_account_123",
      "dataset": "banking.transactions",
      "updated_at": "2026-08-17T10:30:00Z"
    }
  ]
}
{
  "id": "string",
  "message": "string",
  "name": "string"
}
{
  "id": "string",
  "message": "string",
  "name": "string"
}

Was this page helpful?

Get customer detailsList energy accounts

Assistant